# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'upvote/version'

Gem::Specification.new do |spec|
  spec.name          = 'upvote'
  spec.version       = Upvote::VERSION
  spec.authors       = ['Victor Rodrigues']
  spec.email         = ['victorc.rodrigues@gmail.com']
  spec.summary       = 'Simple upvoting done via redis'
  spec.homepage      = 'https://github.com/rodrigues'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
  spec.add_dependency 'redis'
  spec.add_dependency 'activesupport'
end
